ECHO OFF
REM: This file will display a message describing the OMNIVIEW exit 
REM: status. 

if errorlevel 1 goto ERRBRANCH
echo OMNIVIEW: Normal exit.  No processes running.
goto DONE
:ERRBRANCH
if errorlevel 103 goto ERRBAD
if errorlevel 90 goto ERR102
if errorlevel 80 goto ERR89
if errorlevel 19 goto ERRBAD
if errorlevel 10 goto ERR18
goto ERR9
:ERRBAD
if errorlevel 255 goto DONE
echo OMNIVIEW: Unknown error.
goto DONE
:ERR102
if not errorlevel 102 goto ERR101
echo OMNIVIEW: Semaphore is set.
goto DONE
:ERR101
if not errorlevel 101 goto ERR100
echo OMNIVIEW: Exclusive semaphore already owned.
goto DONE
:ERR100
if not errorlevel 100 goto ERR95
echo OMNIVIEW: Too many semaphores.
goto DONE
:ERR95
if errorlevel 96 goto ERRBAD
if not errorlevel 95  goto ERR93
echo OMNIVIEW: System call interrupted.
goto DONE
:ERR93
if errorlevel 94 goto ERRBAD
if not errorlevel 93  goto ERR92
echo OMNIVIEW: No items found to work on.
goto DONE
:ERR92
if not errorlevel 92  goto ERR91
echo OMNIVIEW: Timer service table duplicate.
goto DONE
:ERR91
if not errorlevel 91  goto ERR90
echo OMNIVIEW: Timer service table overflow.
goto DONE
:ERR90
echo OMNIVIEW: Not frozen error.
goto DONE
:ERR89
if not errorlevel 89  goto ERR88
echo OMNIVIEW: No process slots available.
goto DONE
:ERR88
if not errorlevel 88  goto ERR87
echo OMNIVIEW: Network write fault.
goto DONE
:ERR87
if not errorlevel 87  goto ERR86
echo OMNIVIEW: Invalid parameter.
goto DONE
:ERR86
if not errorlevel 86  goto ERR85
echo OMNIVIEW: Invalid password.
goto DONE
:ERR85
if not errorlevel 85  goto ERR84
echo OMNIVIEW: Already assigned.
goto DONE
:ERR84
if not errorlevel 84  goto ERR83
echo OMNIVIEW: Out of structures.
goto DONE
:ERR83
if not errorlevel 83  goto ERR82
echo OMNIVIEW: Interrupt 24 failure.
goto DONE
:ERR82
if not errorlevel 82  goto ERR81
echo OMNIVIEW: Cannot make item.
goto DONE
:ERR81
if not errorlevel 81  goto ERR80
echo OMNIVIEW: Duplicated FCB error.
goto DONE
:ERR80
echo OMNIVIEW: File already exists.
goto DONE
:ERR18
if not errorlevel 18 goto ERR17
echo OMNIVIEW: No more files.
goto DONE
:ERR17
if not errorlevel 17  goto ERR16
echo OMNIVIEW: Not same device.
goto DONE
:ERR16
if not errorlevel 16  goto ERR15
echo OMNIVIEW: Current directory error.
goto DONE
:ERR15
if not errorlevel 15  goto ERR13
echo OMNIVIEW: Invalid drive.
goto DONE
:ERR13
if errorlevel 14 goto ERRBAD
if not errorlevel 13  goto ERR12
echo OMNIVIEW: Invalid data.
goto DONE
:ERR12
if not errorlevel 12  goto ERR11
echo OMNIVIEW: Invalid access.
goto DONE
:ERR11
if not errorlevel 11  goto ERR10
echo OMNIVIEW: Bad format error.
goto DONE
:ERR10
echo OMNIVIEW: Bad environment.
goto DONE
:ERR9
if not errorlevel 9 goto ERR8
echo OMNIVIEW: Invalid block.
goto DONE
:ERR8
if not errorlevel 8 goto ERR7
echo OMNIVIEW: Not enough memory.
goto DONE
:ERR7
if not errorlevel 7 goto ERR6
echo OMNIVIEW: Memory arena trashed.
goto DONE
:ERR6
if not errorlevel 6 goto ERR5
echo OMNIVIEW: Invalid handle.
goto DONE
:ERR5
if not errorlevel 5 goto ERR4
echo OMNIVIEW: Access denied.
goto DONE
:ERR4
if not errorlevel 4 goto ERR3
echo OMNIVIEW: Too many open files.
goto DONE
:ERR3
if not errorlevel 3 goto ERR2
echo OMNIVIEW: Path not found.
goto DONE
:ERR2
if not errorlevel 2 goto ERR1
echo OMNIVIEW: File not found.
goto DONE
:ERR1
echo:
echo OMNIVIEW: Invalid function.
:DONE
